aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tuomas Kiviaho (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ARIES-903) Import-Service requirement not compatible with clauses coming from Felix bundlerepository
Date Thu, 09 Aug 2012 06:46:19 GMT
Tuomas Kiviaho created ARIES-903:
------------------------------------

             Summary: Import-Service requirement not compatible with clauses coming from Felix
bundlerepository
                 Key: ARIES-903
                 URL: https://issues.apache.org/jira/browse/ARIES-903
             Project: Aries
          Issue Type: Bug
          Components: Application
            Reporter: Tuomas Kiviaho


org.apache.felix.bundlerepository.impl.DataModelHelperImpl.doImportExportServices() produces
service import requirement filters in form of (service=org.osgi.service.packageadmin.PackageAdmin)
but org.apache.aries.application.modelling.impl.ImportedServiceImpl generates an attribute
filter that doesn't match to it. (&(service=service (objectClass=org.osgi.service.packageadmin.PackageAdmin))
                                                                              
I assume that service exports function similarly.

The problem can be replicated by trying to install org.apache.felix.shell version 1.4.3 that
imports package admin service shown in example (from felix 4.0.3)

PS. The actual problem might be at bundlerepository end because I have no idea which of the
forms is the correct one.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message